library(odbc)
library(DBI)
library(dplyr)


# Nawiąż połączenie z Azure SQL Database
conn <- dbConnect(
  odbc::odbc(), server = '<twój-serwer>.database.windows.net',
  database = 'SystemsLogging', uid = '<twoja-nazwa-użytkownika>',
  pwd = '<twoje-hasło>',
  driver = '{ODBC Driver 17 for SQL Server}'
)


# Teraz opróżnij tabelę WrongEmails
dbSendQuery(conn, "TRUNCATE TABLE WrongEmails")

# Pobierz nieprawidłowe adresy e-mail z danych załadowanych ze skoroszytu Excel
wrong_emails_df <- dataset %>%
    filter( isEmailValidFromRegex == 0 ) %>%
    select( UserId, Email )

# Zapisz dane wrong_emails_df do istniejącej tabeli WrongEmails
dbAppendTable(conn, name = 'WrongEmails', value = wrong_emails_df)

# Zamknij połączenie
dbDisconnect(conn)

# Zachowaj tylko wiersze z prawidłowym adresem e-mail i datą blokady
df <- dataset %>%
    filter( isEmailValidFromRegex == 1 )
